RCP(1C)

NAME
rcp - remote file copy

SYNOPSIS
rcp [ -p ] filename1 filename2
rcp [ -pr ] filename...directory

AVAILABILITY

This command is available with the Networking software installation option. Refer to for information on how to install optional software.

DESCRIPTION
rcp copies files between machines. Each filename or directory argument is either a remote file name of the form:

    hostname:path

or a local file name (containing no `:' characters, or a `/' before any `:'s).

If a filename is not a full path name, it is interpreted relative to your home directory on hostname. A path on a remote host may be quoted (using \, ", or ´) so that the metacharacters are interpreted remotely.

rcp does not prompt for passwords; your current local user name must exist on hostname and allow remote command execution by rsh(1C).

rcp handles third party copies, where neither source nor target files are on the current machine. Hostnames may also take the form

    username@hostname:filename

to use username rather than your current local user name as the user name on the remote host. rcp also supports Internet domain addressing of the remote host, so that:

    username@host.domain: filename

specifies the username to be used, the hostname, and the domain in which that host resides. Filenames that are not full path names will be interpreted relative to the home directory of the user named username, on the remote host.

The destination hostname may also take the form hostname.username:filename to support destination machines that are running older versions of rcp.

OPTIONS

-p  Attempt to give each copy the same modification times, access times, and modes as the original file.

-r  Copy each subtree rooted at filename; in this case the destination must be a directory.

FILES
.cshrc
.login
.profile

SEE ALSO
ftp(1C), rlogin(1C), rsh(1C)

BUGS

rcp does not detect all cases where the target of a copy might be a file in cases where only a directory should be legal.

rcp can become confused by output generated by commands in a .profile, .cshrc, or .login file on the remote host.

rcp requires that the source host have permission to execute commands on the remote host when doing third-party copies.

If you forget to quote metacharacters intended for the remote host you get an incomprehensible error message.